#ifndef LOGIN_H
#define LOGIN_H

#include <QObject>

class Login : public QObject {
    Q_OBJECT
  public:
    explicit Login(QObject *parent = nullptr);

  signals:
    void userParseError(QString error);
    void homeserverInvalid(QString server, QString error);
    void loginError(QString error);
    void loginSuccess();
    void loggedOut();

  public slots:
    void mxidEntered(QString mxid);
    void homeserverEntered(QString server);
    void login(QString mxid, QString password, QString server);
    void logout();
    bool isLoggedIn();

  private:
    void validateServer(QString server);
    bool loggedIn_ = false;
};

#endif // LOGIN_H
