#pragma once

#include <QObject>
#include <QString>

class MXCDownloadResponse : public QObject {
    Q_OBJECT
    Q_PROPERTY(QString location READ location NOTIFY downloaded)

  public:
    explicit MXCDownloadResponse(QString url);
    QString location() const { return m_location; }

  signals:
    void downloaded(QString location);
    void failed(QString error);

  private:
    QString m_location;
};

class MXCDownloader : public QObject {
    Q_OBJECT

  public:
    Q_INVOKABLE QObject *download(QString url) { return new MXCDownloadResponse(url); }
    Q_INVOKABLE bool cached(QString url);
};

